"use strict"; // 厳格モードを有効化（ミスを防ぐ）

// マウスストーカーを作成
const stalker = document.createElement('div');

// IDを 'stalker' に設定
stalker.id = 'stalker';

// 作成した要素をページ（body）に追加
document.body.appendChild(stalker);

// マウスが動いたときに実行される処理
document.addEventListener('mousemove', function (event) {
  // ストーカー要素の位置をマウスカーソルに合わせる
  // `-8` はストーカーの中心をカーソルに合わせるための調整
  stalker.style.left =  (event.clientX - 8) + 'px';
  stalker.style.top =  (event.clientY - 8) + 'px';
});


