"use strict"; // 厳格モードを有効化（ミスを防ぐ）

// クラス名 "fadeInUp" を持つ要素を取得
const targets = document.getElementsByClassName("fadeInUp");

// 現在のウィンドウの高さを取得（画面の表示領域）
const windowHeight = window.innerHeight;

// スクロール時の処理を定義
function scroll() {
  for (const item of targets) {
    // 要素の上端の位置を取得（ビューポート内の座標）
    const targetTop = item.getBoundingClientRect().top;

    // 画面内に要素が入ったら "isFadeIn" クラスを追加
    if (targetTop < windowHeight) {
      item.classList.add("isFadeIn");
    }
  }
}

// 初回ロード時にも実行（画面読み込み時に表示可能な要素をチェック）
scroll();

// スクロールイベントが発生したら scroll 関数を実行
window.addEventListener("scroll", scroll);
