"use strict"; // 厳格モードを有効化（ミスを防ぐ）

// モーダル内の画像を表示するエリアを取得
let modalImg=document.querySelector("#modal .imgArea");
//console.log(modalImg);

// モーダル全体の要素を取得
const modal=document.getElementById("modal");
//console.log(modal);

// クリック対象の画像（"target" クラスを持つ要素）を取得
const targets=document.getElementsByClassName("target");
//console.log(targets);

// 各画像にモーダルを開くイベントを設定
for(const item of targets){
	modalToggle(item);
}

// モーダルの開閉処理を定義
function modalToggle(elem){
	elem.addEventListener("click",function(){
		// モーダルの表示・非表示を切り替え
		modal.classList.toggle("is-show");

		// 「閉じるボタン」または「黒背景」がクリックされた場合は画像を変更しない
		if(elem.classList.contains("close-btn") || elem.classList.contains("black-bg")){
			//画像は必要ない
		}else{
			//画像は必要

			// 画像を入れるエリアがすでに画像を持っている場合はリセット
			if(modalImg.hasChildNodes()){
				const clone=modalImg.cloneNode(false);// 空のクローンを作成
				modalImg.parentNode.replaceChild(clone,modalImg);// 画像エリアを置き換え
				modalImg=document.querySelector("#modal .imgArea");// 再取得
			}

			// クリックした要素の画像をモーダルに表示
			const newImg=document.createElement("img");
			const src=elem.getAttribute("src");// 画像のパスを取得
			newImg.setAttribute("src",src);
			modalImg.appendChild(newImg);
		}
		
	});
}


