"use strict"; // 厳格モードを有効化（ミスを防ぐ）

// ラジオボタンの要素を取得
const sliderCheck=document.getElementsByClassName("sliderCheck");

// ページネーション要素（テキストリンク）
const clickEl=document.getElementsByClassName("sliderNavText");

let next=1;// 次に表示する画像の番号
const delay=5000;// 画像の切り替え間隔（5秒）

// 最初の画像を表示状態にする
clickEl[0].classList.add("show");
sliderCheck[0].checked=true;

// スライドショーを開始
let setId=setTimeout(changeSlide,delay);

// 画像を切り替える関数
function changeSlide(){
    // showクラスの付け替え
    document.querySelector(".show").classList.remove("show");
    clickEl[next].classList.add("show");
    
    // 次の画像を表示
    sliderCheck[next].checked=true;

    // 画像の番号を更新
    next=next+1;
    next%=sliderCheck.length;

    // 再びスライドショーを開始
    setId=setTimeout(changeSlide,delay);
}

// ナビゲーションをクリックしたらそのスライドへ移動
for(let i=0;i<clickEl.length;i++){
    clickEl[i].addEventListener("click",function(){
        clearTimeout(setId);// スライドショーを一時停止
        next=i;// クリックした画像の番号に変更
        changeSlide();//画像を切り替える関数を実行
    });
}